import java.awt.Desktop;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

public class EditorHyperlinkListener implements HyperlinkListener {

	public EditorHyperlinkListener() {}

	/**
	 * This method opens the browser and browses
	 * to the URL in the JEditorPane.
	 */

	public void hyperlinkUpdate(HyperlinkEvent e) {

		if ( e.getEventType() == HyperlinkEvent.EventType.ACTIVATED ) {

			if ( Desktop.isDesktopSupported() ) {

				Desktop desktop = Desktop.getDesktop();

				try {

					desktop.browse( new URI( e.getURL().toString() ) );

				} catch ( IOException ex ) {

					ex.printStackTrace();

				} catch (URISyntaxException ex) {

					ex.printStackTrace();

				} // end try

			} // end if

		} // end if

	} // end method hyperlinkUpdate

} // end class EditorHyperlinkListener
