import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class SCMapFilter extends FileFilter {
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }
    
    public boolean accept(File f) {
        if(f == null) return false;
        
        if(f.isDirectory())
            return true;
            
        String extension = getExtension(f);
        if( extension != null && (extension.equals("sc2map") || extension.equals("s2ma")) )
            return true;
            
        return false;
    }
    
    public String getDescription() {
        return "Starcraft 2 Maps";
    }
}
